libetonyek::PAGParser Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
libetonyek::PAGParser Class Reference

`#include <PAGParser.h>`

## Public Member Functions
| PAGParser (const RVNGInputStreamPtr_t &input, const RVNGInputStreamPtr_t &package, PAGCollector *collector)
bool | parse ()

## Private Types
enum | TextStorageKind { TEXT_STORAGE_KIND_UNKNOWN, TEXT_STORAGE_KIND_BODY, TEXT_STORAGE_KIND_HEADER, TEXT_STORAGE_KIND_FOOTNOTE, TEXT_STORAGE_KIND_TEXTBOX, TEXT_STORAGE_KIND_NOTE, TEXT_STORAGE_KIND_CELL }

## Private Member Functions
| PAGParser (const PAGParser &)
PAGParser & | operator= (const PAGParser &)
void | parseDocument (const KEYXMLReader &reader)
void | parseMetadata (const KEYXMLReader &reader)
void | parseSectionPrototypes (const KEYXMLReader &reader)
void | parseStylesheet (const KEYXMLReader &reader)
void | parseHeaders (const KEYXMLReader &reader)
void | parseFooters (const KEYXMLReader &reader)
void | parseTextStorage (const KEYXMLReader &reader)
void | parseTextBody (const KEYXMLReader &reader, TextStorageKind kind)
void | parseSection (const KEYXMLReader &reader)
void | parseLayout (const KEYXMLReader &reader)
void | parseP (const KEYXMLReader &reader)
void | parseSpan (const KEYXMLReader &reader)
void | parseTab (const KEYXMLReader &reader)
void | parseBr (const KEYXMLReader &reader)

## Private Attributes
RVNGInputStreamPtr_t | m_input
RVNGInputStreamPtr_t | m_package
PAGCollector * | m_collector

## Member Enumeration Documentation

enum libetonyek::PAGParser::TextStorageKind
| private

Enumerator
TEXT_STORAGE_KIND_UNKNOWN |
TEXT_STORAGE_KIND_BODY |
TEXT_STORAGE_KIND_HEADER |
TEXT_STORAGE_KIND_FOOTNOTE |
TEXT_STORAGE_KIND_TEXTBOX |
TEXT_STORAGE_KIND_NOTE |
TEXT_STORAGE_KIND_CELL |

## Constructor & Destructor Documentation

libetonyek::PAGParser::PAGParser | ( | const PAGParser & |  | ) |
| private

libetonyek::PAGParser::PAGParser | ( | const RVNGInputStreamPtr_t & | input,
|  | const RVNGInputStreamPtr_t & | package,
|  | PAGCollector * | collector
| ) |  |

## Member Function Documentation

PAGParser& libetonyek::PAGParser::operator= | ( | const PAGParser & |  | ) |
| private

bool libetonyek::PAGParser::parse | ( |  | ) |

void libetonyek::PAGParser::parseBr | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseP(), and parseSpan().

void libetonyek::PAGParser::parseDocument | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parse().

void libetonyek::PAGParser::parseFooters | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseDocument().

void libetonyek::PAGParser::parseHeaders | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseDocument().

void libetonyek::PAGParser::parseLayout | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseSection().

void libetonyek::PAGParser::parseMetadata | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseDocument().

void libetonyek::PAGParser::parseP | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseLayout().

void libetonyek::PAGParser::parseSection | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseTextBody().

void libetonyek::PAGParser::parseSectionPrototypes | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseDocument().

void libetonyek::PAGParser::parseSpan | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseP().

void libetonyek::PAGParser::parseStylesheet | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseDocument().

void libetonyek::PAGParser::parseTab | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseP(), and parseSpan().

void libetonyek::PAGParser::parseTextBody | ( | const KEYXMLReader & | reader,
|  | TextStorageKind | kind
| ) |  |
| private

Referenced by parseTextStorage().

void libetonyek::PAGParser::parseTextStorage | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseDocument().

## Member Data Documentation

PAGCollector* libetonyek::PAGParser::m_collector
| private

Referenced by parseBr(), parseDocument(), parseP(), parseSpan(), and parseTab().

RVNGInputStreamPtr_t libetonyek::PAGParser::m_input
| private

Referenced by parse().

RVNGInputStreamPtr_t libetonyek::PAGParser::m_package
| private

The documentation for this class was generated from the following files:

- PAGParser.h
- PAGParser.cpp